package hdm.mi.growbros.config;

import hdm.mi.growbros.models.user.Role;
import hdm.mi.growbros.models.user.User;
import lombok.Getter;

public class UserTestData {
    @Getter
    private final static User user1 = User.builder()
            .firstname("First user")
            .email("user1@gmail.com")
            .password("safePassword123!")
            .role(Role.USER)
            .build();
    @Getter
    private final static User user2 = User.builder()
            .firstname("Second user")
            .email("user2@gmail.com")
            .password("safePassword123!")
            .role(Role.USER)
            .build();
    @Getter
    private final static User admin = User.builder()
            .firstname("Admin user")
            .email("admin@gmail.com")
            .password("adminPassword123!")
            .role(Role.ADMIN)
            .build();
}
